/**
Theme Name: Astra Child
Author: Brainstorm Force
Author URI: http://wpastra.com/about/
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: astra-child
Template: astra
*/

/*** Dev ***/

/*
* {
  outline: 1px solid red;
}
*/

/*** Header ***/

/*** Desktop Menu ***/

.main-header-menu .menu-item a {
  margin-left: 1em;
  border-radius: 10px !important;
}

/* Mobile Header, Menu */

@media (max-width: 1040px) {

  .ast-primary-header-bar {
    padding-right: 0.175em !important;
  }

  .ast-header-break-point .ast-above-header-bar {
    margin-bottom: 0em;
  }

  #ast-hf-mobile-menu a.menu-link {
    margin: 0;
    padding: 0 0 0 1em;
    border-bottom: 1px solid #717477;
    border-radius: 0 !important;
    line-height: 3.5;
  }

  #ast-hf-mobile-menu li.menu-item-22 a {
    border-bottom: 0;
  }

}

/*** All Pages, Home ***/

body.home-page,
body.content-page { /* gradient fill from top of page, all pages */
  display: block;
  position: relative;
  background-image: linear-gradient(to right bottom,
  #0f3c59, #114566, #134e73, #155780, #17608e, #136f9f, #0c7faf, #008fbf, #00aad1, #00c5e0, #32e0ea, #5ffbf1);
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.gb-grid-wrapper { /* all pages */
  margin-left: 0;
}

.gb-grid-wrapper .gb-grid-column { /* all pages, both columns */
  padding-left: 0;
}

.uagb-cta-text-wrap p { /* home page CTA */
  padding-right: 1.75em;
}

.home .uagb-cta__buttons {
  margin-top: 1.25em;
}

.home .uagb-cta__buttons a {
  font-size: 1.25em !important;
  font-weight: 800 !important;
}

.page-text-wrap { /* all pages, main text */
  padding-left: 1em;
  border-left: 1px solid #d4d2d2;
}

.page-text-wrap .gb-inside-container p:first-of-type { /* first text para */
  padding-top: 0.5em;
}

.page-text-wrap .gb-inside-container p:last-of-type { /* last text para */
  margin-bottom: 0;
}

@media (max-width: 767px) {

  .home-page-cta,
  .page-text-wrap { /* all pages, main text */
    margin: 0 auto;
    padding-left: 0;
    border-left: none;
  }

  h2.uagb-cta__title {
    line-height: 1.5 !important;
  }

  .uagb-cta__left-right-wrap {
    text-align: center !important;
  }

  .uagb-cta__buttons {
    display: flex !important;
    align-items: center !important;
  }

  body.home-page,
  body.content-page { /* gradient fill from top of page, all pages */
    background-size: 100% 900px;
  }

  .gb-container-cf505859 > .gb-inside-container {  /* home page, 3 figure image */
    padding: 0;
  }

  .cta-image-container figure { /* home page, 3 figure image */
    margin: 0 auto;
    margin-block-end: 0 !important;
    padding: 0;
    overflow: hidden;
  }

  .page-text-wrap { /* all pages, text */
    border-left: none;
  }

}

@media (max-width: 400px) {

  body.home-page,
  body.content-page { /* gradient fill from top of page, all pages */
    background-size: 100% 940px;
  }

}

/* Service Icons */

@media (min-width: 700px) {

  .gb-inside-container .service-icons-list {
    flex-wrap: nowrap !important;
  }

}

/* Universities/Associates Page */

#envira-gallery-item-1556, /* Cardiff */
#envira-gallery-item-1579 /* City */ {
  padding-right: 80px !important;
  padding-left: 80px !important;
}

#envira-gallery-item-1579 /* City */ {
  margin-top: -20px !important;
  margin-bottom: -20px !important;
}

#envira-gallery-item-1939, /* Portsmouth */
#envira-gallery-item-1942  /* Sussex */ {
  padding-right: 90px !important;
  padding-left: 90px !important;
}

.associates-heading {
  padding: 0 0 2em 0;
  text-align: center;
}

#envira-gallery-item-1573 /* QA */ {
  padding-right: 80px !important;
  padding-left: 80px !important;
}


@media (max-width: 900px) {

  #envira-gallery-1810 .envira-gallery-item,
  #envira-gallery-1946 .envira-gallery-item  { 
    width: 100% !important; 
  }

}

/* News Page, Display Posts */

.listing-item span.title {
  display: inline-block;
  padding-top: 0.46em;
  font: normal normal 500 1.25em/1.25em "Archivo Black" !important;
  color: #3a3a3a;
  cursor: text;
}

.listing-item span.date {
  display: block;
}

.listing-item .content {
  margin-bottom: 2em;
  padding-top: 1em;
}

.listing-item:last-of-type {
  margin-bottom: -2em;
}

.display-posts-pagination .nav-links {
  margin-top: 4em;
  line-height: 1;
  font-weight: bold;
}

@media (max-width: 768px) {

  .display-posts-pagination .nav-links {
    text-align: center;
  }

}

/* Contact Page */


@media (min-width: 768px) {

.gb-container.gb-container-4e1afa3f {
    display: flex;
    flex-direction: column;
    align-items: right;
  }

}

.please-feel-free-para {
  margin-bottom: 2em !important;
  padding-bottom: 1em;
  border-bottom: 1px solid #d4d2d2;
}

.nf-form-fields-required {
  padding-bottom: 1em;
}

#nf-field-4 {
  background-color: #00a4c0;
  color: #fff;
}

#nf-field-4:hover {
  background-color: #2c44ff;
}

#nf-field-42-wrap {
  flex-direction: column;
}

#nf-field-42-wrap .nf-field-description p.p1 {
  font-size: 1.2em !important;
}

@media (max-width: 768px) {

  .gb-container-f1c67799 > .gb-inside-container {
    padding-right: 0 !important;
  }

  .nf-field-label label {
    font-size: 1.063em !important;
  }

  #nf-field-4-wrap {
   text-align: center;
  }

}

/* Privacy Page */

.page-text-wrap h2 {
  padding-top: 1em;
  font: normal normal 500 1.25em/1.25em "Archivo Black" !important;
}

.entry-content ul li {
  margin-bottom: 1.5em;
}

/*** Footer ***/

.site-footer .widget-title {
  display: none;
}

.custom-html-widget {
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.footer-item {
  margin: 0;
  padding: 0 2.25em;
  border-right: 1px solid #949494;
}

.footer-item:last-of-type {
  padding: 0 0 0 2.25em;
  border: none;
}

.custom-html-widget p {
  margin-bottom: 0;
  text-align: center;
  line-height: 2;
}

.footer-privacy a {
  font-size: 1.5em;
  line-height: 1;
}

@media (max-width: 800px) {

  .custom-html-widget {
    flex-direction: column;
  }

  .footer-item {
    margin: 1em 0;
    padding: 0 2.25em;
    border: none;
  }

  .footer-item:last-of-type {
    margin-bottom: 0;
  }

  .footer-email {
    padding: 0 !important;
  }

  .ast-footer-copyright {
    margin-top: 0.5em;
    margin-bottom: 0em;
  }

}

/* Buttons */

.wp-block-button {
  opacity: 1;
}

.wp-block-button .wp-block-button__link {
  line-height: 1.5 ;
}
